Can I get mDL on any phone?


The GET Mobile apps require an iOS or Android smart device. 

iOS devices must run at least iOS 12. iOS 13.2.2 is required to use NFC to tap your ID.

Android devices must run Android 8 or later, and Android 10 or later is recommended.

Last updated on June 3, 2024